"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.param = void 0;
const yargs_1 = require("yargs");
// inspired by: https://github.com/GoogleChrome/lighthouse-ci/blob/main/packages/cli/src/collect/collect.js#L28-L98
exports.param = {
    awaitServeStdout: {
        alias: 'w',
        type: 'string',
        description: 'A string in stdou resulting from serving the app, to be awaited before start running the tests. e.g. "server running..."',
        implies: ['w', 'serveCommand']
    }
};
function get() {
    const { awaitServeStdout } = yargs_1.argv;
    return awaitServeStdout;
}
exports.get = get;
//# sourceMappingURL=awaitServeStdout.js.map