import { Options as PrettierOptions } from 'prettier';
import { SupportedExtname, SupportedParser } from './types';
export declare function getParserFromExtname(extname: SupportedExtname | string): SupportedParser;
/**
 * Code formatter that uses prettier under the hood
 *
 * @param code
 * @param parser
 */
export declare function formatCode(code: string, parser?: PrettierOptions['parser']): string;
