import { CLI_MODES } from './types';
export declare const CI_PROPERTY = "CI";
export declare const CLI_MODE_PROPERTY = "__CLI_MODE__";
/**
 * detects the current CLI mode
 */
export declare function detectCliMode(): CLI_MODES;
/**
 * If the CLI is under test the user has to set the env property `CI_PROPERTY` to 'SANDBOX' programmatically to enable the sandbox mode.
 * This function is here to check this.
 */
export declare function isEnvSandbox(): boolean;
/**
 * Determines if the CLI is running in a CI setup
 */
export declare function isEnvCi(): boolean;
