import { Page } from 'puppeteer';
import FlowResult from 'lighthouse/types/lhr/flow';
import { StepOptions, UserFlowOptions } from './types';
/**
 * @TODO this is very flakey ATM and needs investigation
 */
export declare class UserFlowMock {
    protected cfg: UserFlowOptions;
    protected page: Page;
    /**
     * @param {LH.NavigationRequestor} requestor
     * @param {StepOptions=} stepOptions
     */
    navigate(requestor: any, { stepName }?: StepOptions): Promise<any>;
    constructor(page: Page, cfg: UserFlowOptions);
    /**
     * @param {StepOptions=} stepOptions
     */
    startTimespan({ stepName }?: StepOptions): Promise<void>;
    endTimespan({ stepName }?: StepOptions): Promise<void>;
    /**
     * @param {StepOptions=} stepOptions
     */
    snapshot({ stepName }?: StepOptions): Promise<void>;
    /**
     * @return {LH.FlowResult}
     */
    getFlowResult(): FlowResult;
    createFlowResult(): FlowResult;
    /**
     * @return {Promise<string>}
     */
    generateReport(): Promise<string>;
}
export declare class UserFlowReportMock {
    protected cfg: UserFlowOptions;
    /**
     * @param {LH.NavigationRequestor} requestor
     * @param {StepOptions=} stepOptions
     */
    navigate(requestor: any, { stepName }?: StepOptions): Promise<any>;
    constructor(cfg: UserFlowOptions);
    /**
     * @param {StepOptions=} stepOptions
     */
    startTimespan({ stepName }?: StepOptions): Promise<void>;
    endTimespan({ stepName }?: StepOptions): Promise<void>;
    /**
     * @param {StepOptions=} stepOptions
     */
    snapshot({ stepName }?: StepOptions): Promise<void>;
    /**
     * @return {LH.FlowResult}
     */
    getFlowResult(): FlowResult;
    createFlowResult(): FlowResult;
    /**
     * @return {Promise<string>}
     */
    generateReport(): Promise<string>;
}
